<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>RobotRulesParser (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RobotRulesParser (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RobotRulesParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/protocol/RobotRulesParser.html" target="_top">Frames</a></li>
<li><a href="RobotRulesParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol</div>
<h2 title="Class RobotRulesParser" class="title">Class RobotRulesParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.RobotRulesParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/apache/nutch/protocol/ftp/FtpRobotRulesParser.html" title="class in org.apache.nutch.protocol.ftp">FtpRobotRulesParser</a>, <a href="../../../../org/apache/nutch/protocol/http/api/HttpRobotRulesParser.html" title="class in org.apache.nutch.protocol.http.api">HttpRobotRulesParser</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">RobotRulesParser</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a></pre>
<div class="block">This class uses crawler-commons for handling the parsing of
 <code>robots.txt</code> files. It emits SimpleRobotRules objects, which describe
 the download permissions as described in SimpleRobotRulesParser.
 
 Protocol-specific implementations have to implement the method
 <code>getRobotRulesSet</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#agentNames">agentNames</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Hashtable.html?is-external=true" title="class or interface in java.util">Hashtable</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,crawlercommons.robots.BaseRobotRules&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#CACHE">CACHE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#conf">conf</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#EMPTY_RULES">EMPTY_RULES</a></span></code>
<div class="block">A <code>BaseRobotRules</code> object appropriate for use when the
 <code>robots.txt</code> file is empty or missing; all requests are allowed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#FORBID_ALL_RULES">FORBID_ALL_RULES</a></span></code>
<div class="block">A <code>BaseRobotRules</code> object appropriate for use when the
 <code>robots.txt</code> file is not fetched due to a <code>403/Forbidden</code>
 response; all requests are disallowed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#whiteList">whiteList</a></span></code>
<div class="block">set of host names or IPs to be explicitly excluded from robots.txt checking</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#RobotRulesParser--">RobotRulesParser</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#RobotRulesParser-org.apache.hadoop.conf.Configuration-">RobotRulesParser</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#getConf--">getConf</a></span>()</code>
<div class="block">Get the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#getRobotRulesSet-org.apache.nutch.protocol.Protocol-org.apache.hadoop.io.Text-java.util.List-">getRobotRulesSet</a></span>(<a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a>&nbsp;protocol,
                <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</code>
<div class="block">Fetch robots.txt (or it's protocol-specific equivalent) which applies to
 the given URL, parse it and return the set of robot rules applicable for
 the configured agent name(s).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>abstract crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#getRobotRulesSet-org.apache.nutch.protocol.Protocol-java.net.URL-java.util.List-">getRobotRulesSet</a></span>(<a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a>&nbsp;protocol,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</code>
<div class="block">Fetch robots.txt (or it's protocol-specific equivalent) which applies to
 the given URL, parse it and return the set of robot rules applicable for
 the configured agent name(s).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#isWhiteListed-java.net.URL-">isWhiteListed</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Check whether a URL belongs to a whitelisted host.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#main-java.lang.String:A-">main</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#parseRules-java.lang.String-byte:A-java.lang.String-java.lang.String-">parseRules</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
          byte[]&nbsp;content,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contentType,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;robotName)</code>
<div class="block">Parses the robots content using the <code>SimpleRobotRulesParser</code> from
 crawler commons</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#run-java.lang.String:A-">run</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/protocol/RobotRulesParser.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CACHE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHE</h4>
<pre>protected static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Hashtable.html?is-external=true" title="class or interface in java.util">Hashtable</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,crawlercommons.robots.BaseRobotRules&gt; CACHE</pre>
</li>
</ul>
<a name="EMPTY_RULES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EMPTY_RULES</h4>
<pre>public static final&nbsp;crawlercommons.robots.BaseRobotRules EMPTY_RULES</pre>
<div class="block">A <code>BaseRobotRules</code> object appropriate for use when the
 <code>robots.txt</code> file is empty or missing; all requests are allowed.</div>
</li>
</ul>
<a name="FORBID_ALL_RULES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORBID_ALL_RULES</h4>
<pre>public static&nbsp;crawlercommons.robots.BaseRobotRules FORBID_ALL_RULES</pre>
<div class="block">A <code>BaseRobotRules</code> object appropriate for use when the
 <code>robots.txt</code> file is not fetched due to a <code>403/Forbidden</code>
 response; all requests are disallowed.</div>
</li>
</ul>
<a name="conf">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>conf</h4>
<pre>protected&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a> conf</pre>
</li>
</ul>
<a name="agentNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>agentNames</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> agentNames</pre>
</li>
</ul>
<a name="whiteList">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>whiteList</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; whiteList</pre>
<div class="block">set of host names or IPs to be explicitly excluded from robots.txt checking</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RobotRulesParser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RobotRulesParser</h4>
<pre>public&nbsp;RobotRulesParser()</pre>
</li>
</ul>
<a name="RobotRulesParser-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RobotRulesParser</h4>
<pre>public&nbsp;RobotRulesParser(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">Set the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="getConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;getConf()</pre>
<div class="block">Get the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.conf">getConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="isWhiteListed-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWhiteListed</h4>
<pre>public&nbsp;boolean&nbsp;isWhiteListed(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block">Check whether a URL belongs to a whitelisted host.</div>
</li>
</ul>
<a name="parseRules-java.lang.String-byte:A-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseRules</h4>
<pre>public&nbsp;crawlercommons.robots.BaseRobotRules&nbsp;parseRules(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                                                       byte[]&nbsp;content,
                                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contentType,
                                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;robotName)</pre>
<div class="block">Parses the robots content using the <code>SimpleRobotRulesParser</code> from
 crawler commons</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - A string containing url</dd>
<dd><code>content</code> - Contents of the robots file in a byte array</dd>
<dd><code>contentType</code> - The content type of the robots file</dd>
<dd><code>robotName</code> - A string containing all the robots agent names used by parser for
          matching</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BaseRobotRules object</dd>
</dl>
</li>
</ul>
<a name="getRobotRulesSet-org.apache.nutch.protocol.Protocol-org.apache.hadoop.io.Text-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRobotRulesSet</h4>
<pre>public&nbsp;crawlercommons.robots.BaseRobotRules&nbsp;getRobotRulesSet(<a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a>&nbsp;protocol,
                                                             <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</pre>
<div class="block">Fetch robots.txt (or it's protocol-specific equivalent) which applies to
 the given URL, parse it and return the set of robot rules applicable for
 the configured agent name(s).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocol</code> - <a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol"><code>Protocol</code></a></dd>
<dd><code>url</code> - URL to check</dd>
<dd><code>robotsTxtContent</code> - container to store responses when fetching the robots.txt file for
          debugging or archival purposes. Instead of a robots.txt file, it
          may include redirects or an error page (404, etc.). Response
          <a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> is appended to the passed list. If null is passed
          nothing is stored.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>robot rules (specific for this URL or default), never null</dd>
</dl>
</li>
</ul>
<a name="getRobotRulesSet-org.apache.nutch.protocol.Protocol-java.net.URL-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRobotRulesSet</h4>
<pre>public abstract&nbsp;crawlercommons.robots.BaseRobotRules&nbsp;getRobotRulesSet(<a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a>&nbsp;protocol,
                                                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
                                                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</pre>
<div class="block">Fetch robots.txt (or it's protocol-specific equivalent) which applies to
 the given URL, parse it and return the set of robot rules applicable for
 the configured agent name(s).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocol</code> - <a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol"><code>Protocol</code></a></dd>
<dd><code>url</code> - URL to check</dd>
<dd><code>robotsTxtContent</code> - container to store responses when fetching the robots.txt file for
          debugging or archival purposes. Instead of a robots.txt file, it
          may include redirects or an error page (404, etc.). Response
          <a href="../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> is appended to the passed list. If null is passed
          nothing is stored.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>robot rules (specific for this URL or default), never null</dd>
</dl>
</li>
</ul>
<a name="run-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;int&nbsp;run(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true#run-java.lang.String:A-" title="class or interface in org.apache.hadoop.util">run</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a></code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RobotRulesParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/protocol/ProtocolStatus.html" title="class in org.apache.nutch.protocol"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/protocol/RobotRulesParser.html" target="_top">Frames</a></li>
<li><a href="RobotRulesParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
